Bug 1311613 (CVE-2015-7824)

Summary: CVE-2015-7824 botan: padding oracle attack on TLS
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: thomas.moschny
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20151026,reported=20160224,source=suse,cvss2=4.0/AV:N/AC:H/Au:N/C:P/I:P/A:N,fedora-all/botan=notaffected,epel-all/botan=notaffected
Fixed In Version: botan 1.11.22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-31 16:54:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrej Nemec 2016-02-24 15:23:55 UTC
A padding oracle attack was possible against TLS CBC ciphersuites because if a certain length check on the packet fields failed, a different alert type than one used for message authentication failure would be returned to the sender. This check triggering would leak information about the value of the padding bytes and could be used to perform iterative decryption.

As with most such oracle attacks, the danger depends on the underlying protocol - HTTP servers are particularly vulnerable. The current analysis suggests that to exploit it an attacker would first have to guess several bytes of plaintext, but again this is quite possible in many situations including HTTP.

External references:

http://botan.randombit.net/security.html

Comment 1 Thomas Moschny 2016-04-29 18:33:07 UTC
CVE-2015-7824 only affects 1.11.X for X<22.

In Fedora/EPEL, we have 1.8.X and 1.10.X (i.e. stable) versions.